#==============================================================================
# package      DE_EPAGES::Catalog::API::Constants
# state        private
#------------------------------------------------------------------------------
# description  Some constants used with CSV Export Import
#==============================================================================
package DE_EPAGES::Catalog::API::Constants;
use base Exporter;

use strict;
our @EXPORT = qw(
    $SEARCH_VAGUENESS_PERCENT
    $CSV_SPECIAL_CATALOGITEMS
    @CSV_WARNING_CODES_CATALOG
    PAGER_SETTING_SF_PREFIX
    $RENUMBER_STEP_SIZE
);
use vars qw ( $SEARCH_VAGUENESS_PERCENT
              $CSV_SPECIAL_CATALOGITEMS
              @CSV_WARNING_CODES_CATALOG
              $RENUMBER_STEP_SIZE
            );


#========================================================================================
# global       $SEARCH_VAGUENESS_PERCENT |  | integer
#========================================================================================
$SEARCH_VAGUENESS_PERCENT = 20;

#========================================================================================
# global       $CSV_SPECIAL_CATALOGITEMS |  | integer
#========================================================================================
$CSV_SPECIAL_CATALOGITEMS = {
    0 => [ qw(  ) ],
    1 => [ qw( Category ) ],
};

#========================================================================================
# global       @CSV_WARNING_CODES_CATALOG |  | integer
#========================================================================================
@CSV_WARNING_CODES_CATALOG = qw(    NO_CATALOGITEMS
                                    VOID_FIELD
                                    CATALOG_EMPTY_PRODUCT
                                    CATALOG_NO_PRODUCT
                                    CATALOG_EMPTY_CATEGORY
                                    CATALOG_NO_CATEGORYOBJECT
                                    CATALOG_NO_CATEGORY
                                    NO_MAND_VALUE
                                 );

#========================================================================================
# global       PAGER_SETTING_SF_PREFIX | Prefix for Pager Setting used in SF | string
#========================================================================================
use constant PAGER_SETTING_SF_PREFIX   => 'SF_';

#========================================================================================
# global       $RENUMBER_STEP_SIZE |  | integer
#========================================================================================
$RENUMBER_STEP_SIZE = 10;

1;

