#==============================================================================
# package      DE_EPAGES::Customer::API::Constants
# state        private
#------------------------------------------------------------------------------
# description  Some constants used with CSV Export Import
#==============================================================================
package DE_EPAGES::Customer::API::Constants;
use base Exporter;

use strict;
our @EXPORT = qw(
    $CSV_SPECIAL_CUSTOMERITEMS
    $CSV_SPECIAL_CUSTOMERITEMS_UNITY
    @CSV_WARNING_CODES_CUSTOMER
);

use vars qw ( $CSV_SPECIAL_CUSTOMERITEMS
              $CSV_SPECIAL_CUSTOMERITEMS_UNITY
              @CSV_WARNING_CODES_CUSTOMER
            );



#========================================================================================
# global       $CSV_SPECIAL_CUSTOMERITEMS_UNITY | csv export import constants <ul>
#                   <li>0 - do not export this attributes</li>
#                   <li>1 - export this attributes, also if not exportable</li>
#               </ul> | ref.array.string
#========================================================================================
$CSV_SPECIAL_CUSTOMERITEMS_UNITY = {
    0 => [ qw( IsMandateIDValid
               CustomerGroup
               TaxArea 
               TaxModel
               Comment
               IsDoOrderAllowed
               IsRatingInvitationAllowed
               IsHtmlEMailAllowed
               User.ERPSystem
               User.CurrencyID
               User.IsActivated
               User.IsHtmlEMailAllowed
               ) ],
    1 => [ qw( BillingAddress.Country
               ShippingAddress.Country ) ],
};

#========================================================================================
# global       $CSV_SPECIAL_CUSTOMERITEMS | csv export import constants <ul>
#                   <li>0 - do not export this attributes</li>
#                   <li>1 - export this attributes, also if not exportable</li>
#               </ul> | ref.array.string
#========================================================================================
$CSV_SPECIAL_CUSTOMERITEMS = {
    0 => [ qw( GUID
               Inherit
               CreationDate
               Class
               Parent
               Site
               Position
               EbayShopEnvironment
               EbayUserName
               BillingAddress
               ShippingAddress
               Shop
               FilePathPart
               BillingAddress.Alias
               BillingAddress.Class
               BillingAddress.Inherit
               BillingAddress.CountryID
               BillingAddress.CreationDate
               BillingAddress.GUID
               BillingAddress.FilePathPart
               BillingAddress.Position
               User.BillingAddress
               User.CountLoginFailure
               User.CreationDate
               User.DeleteConfirmation
               User.GUID
               User.Inherit
               User.LanguageID
               User.Password
               User.Position
               User.LastLoginFailure
               User.ShippingAddress
               User.ShowFunctionHelp
               User.ShowSidebar
               User.SidebarMenuName
               User.FilePathPart
               User.IsLoginCookieAllowed
               User.GotEkomiEmail
               User.PagerEntries
               User.ReminderQuestion
               User.ChallengePhrase
               BillingAddress.IsColissimoOutOfHomeDelivery
               ShippingAddress.IsColissimoOutOfHomeDelivery
               BillingAddress.AvaTax_Hash
               ShippingAddress.AvaTax_Hash
               User.LastPositiveCreditCheck
               User.IsEmailVerified
               BillingAddress.IsPickupAddress
               ShippingAddress.IsPickupAddress
               BillingAddress.SelectedShippingPickupStation
               ShippingAddress.SelectedShippingPickupStation
               isPOSTPAYCustomer
               MandateIDLastOrderDate
               BillingAddress.DHLPackstationId
               ShippingAddress.DHLPackstationId
               ) ],
    1 => [ qw( BillingAddress.Country ) ],
};


@CSV_WARNING_CODES_CUSTOMER = qw(
    NO_CUSTOMERITEMS
    NO_RECIPIENTS
    FORMAT_NOT_EMAILADDRESS
    SHOW_COMPARE_ADDRESSES
    FORMAT_NOT_DATETIME
    FORMAT_NOT_TIME
    CUSTOMERGOUP_DOESNT_EXIST
    CUSTOMER_EMPTY_ALIAS
    TAXAREA_DOESNT_EXIST
    NO_PREDEF_ATTRIBUTE
    WRONG_PREDEF
    INVALID_USER_LOCALE
    LOGIN_EXISTS
    NO_SHIPPINGADDRESS_FOR_CUSTOMERS
    UNKNOWN_COUNTRYCODE
    VATIDIsNotFromSameCountry
    VATIDIsNotValid
    ZIPCODE_NOT_VALID
    GENDER_NOT_VALID
);

1;
