/*globals window, define*/
/*jslint nomen:true, unparam: true*/

/*
 * @copyright       © Copyright 2006-2013, epages GmbH, All Rights Reserved.
 *
 * @module          ep/ui/simple-tooltip
 */

define("ep/ui/simple-tooltip", [
    "jquery",
    "ep/ui/tooltip"
], function ($, ep) {
    'use strict';

    var tooltip,

        // creates a tooltip
        initTooltip = function (options) {
            var context = options.context;

            tooltip = $('<div class="ep-taxus-tools-tooltip">')
                .uiTooltip({
                    interactive: false,
                    event: 'hover',
                    context: context,
                    orientation: options.orientation,
                    oldhandling: true,
                    additionalClass: options.additionalClass,
                    showDelay: 0,
                    hideDelay: 400
                });
        };

    return {

        // tooltips
        show: function (options) {
            if (!options || !options.element) {
                return;
            }

            var context = options.element,
                orientation = options.orientation ? options.orientation : 'bottom center',
                additionalClass = options.additionalClass ? options.additionalClass : 'ep-formfield-tooltip ep-uiValidate-info',
                eventtype = options.eventtype ? options.eventtype : 'mouseleave',
                interactiveElement = options.interactiveElement ? options.interactiveElement : options.element,
                message = options.message ? options.message : '';


            // create a tooltip if necessary
            if (tooltip === undefined) {
                initTooltip({
                    context: context,
                    orientation: orientation,
                    additionalClass: additionalClass
                });
            }

            // update tooltip options
            tooltip.uiTooltip('option', 'context', context);
            tooltip.html(message);
            tooltip.uiTooltip('show');

            interactiveElement.one(eventtype, function () {
                tooltip.uiTooltip('hide');
            });
        }

    };

});

