#==============================================================================
# §package      DE_EPAGES::ShopConfiguration::API::Constants
# §state        public
# §description  Constants of cartridge ShopConfiguration
#==============================================================================
package DE_EPAGES::ShopConfiguration::API::Constants;
use base Exporter;

use strict;
our @EXPORT_OK = qw(
    SHOP_ADDRESS_PREFIX
    @WEBSERVICE_ADDRESS_ATTRIBUTES
);

use Readonly;

#========================================================================================
# §global       SHOP_ADDRESS_PREFIX | Attribute prefix for shop address data in
#                   the provisioning webservices | string
#========================================================================================
use constant SHOP_ADDRESS_PREFIX      => 'ShopAddress_';

#========================================================================================
# §global       @WEBSERVICE_ADDRESS_ATTRIBUTES | Attributes to be extracted from the shop
#                   address for the getInfo method of the provisioning webservices | array.string
#========================================================================================
Readonly our @WEBSERVICE_ADDRESS_ATTRIBUTES => qw(
    FirstName
    LastName
    CountryID
    Street
    Zipcode
    City
    State
    EMail
);

1;
